### Function

# GdkPixbuf.Pixbuf.get_file_info_finish

#### Declaration [src]

    GdkPixbufFormat*
    gdk_pixbuf_get_file_info_finish (
      GAsyncResult* async_result,
      gint* width,
      gint* height,
      GError** error
    )

#### Description [src]

Finishes an asynchronous pixbuf parsing operation started with `gdk_pixbuf_get_file_info_async()`.

#### Parameters

`async_result` | `GAsyncResult*`
| a `GAsyncResult`
| Ownership is not transferred to the callee
`width` | `gint*`
| Return location for the width of the image, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`height` | `gint*`
| Return location for the height of the image, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GdkPixbufFormat`
A `GdkPixbufFormat` describing the image format of the file
Ownership is not transferred to the caller
Can be `NULL`